Webhook Input
curl --request POST \
--url https://api.ontora.com/v1/projects/{project_id}/data/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": "<unknown>",
"source_name": "<string>",
"metadata": {},
"source": "<string>"
}
'import requests
url = "https://api.ontora.com/v1/projects/{project_id}/data/webhook"
payload = {
"data": "<unknown>",
"source_name": "<string>",
"metadata": {},
"source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: '<unknown>', source_name: '<string>', metadata: {}, source: '<string>'})
};
fetch('https://api.ontora.com/v1/projects/{project_id}/data/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"input_id": "<string>",
"input_type": "<string>",
"size_bytes": 123,
"source_name": "<string>",
"detected_format": "<string>",
"preview": {},
"status": "pending",
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}data-input
Webhook Input
Accept programmatic data input via webhook.
For automated systems to push data into the platform.
POST
/
v1
/
projects
/
{project_id}
/
data
/
webhook
Webhook Input
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
Response after data input is accepted.
Unique identifier for this input
Type of input (file, url, paste, webhook)
Size of the input in bytes
Name of the data source
Detected format (if available)
Preview of the data
Processing status
Was this page helpful?
⌘I